﻿using System;
using System.Configuration;
using System.Data.SqlClient;
using System.Linq;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using Telerik.Web.UI.PersistenceFramework;

public partial class DockSample : System.Web.UI.Page
{
    protected void Page_PreInit(object sender, EventArgs e)
    {
        RadDock dock = CreateRadDock();
        RadDockLayout1.Controls.Add(dock);
        dock.Dock(RadDockZone1);
    }

    private RadDock CreateRadDock()
    {
        RadDock dock = new RadDock();
        dock.UniqueName = Guid.NewGuid().ToString().Replace("-", "a");
        dock.ID = string.Format("RadDock{0}", dock.UniqueName);
        dock.Title = "Dock";
        dock.Text = string.Format("Added at {0}", DateTime.Now);
        dock.Width = Unit.Pixel(300);
        dock.EnableRoundedCorners = true;
        dock.Commands.Add(new DockCloseCommand());
        dock.Commands.Add(new DockExpandCollapseCommand());

        return dock;
    }

}

